SSL_SESSION_REUSED(3)

NAME
SSL_session_reused - query whether a reused session was negotiated during handshake

SYNOPSIS
#include <openssl/ssl.h>
int
SSL_session_reused(SSL *ssl);

DESCRIPTION
Query whether a reused session was negotiated during the handshake.

During the negotiation, a client can propose to reuse a session. The server then looks up the session in its cache. If both client and server agree on the session, it will be reused and a flag is set that can be queried by the application.

RETURN VALUES
The following return values can occur:

0   A new session was negotiated.

1   A session was reused.

SEE ALSO
ssl(3), SSL_ctrl(3), SSL_CTX_set_session_cache_mode(3), SSL_set_session(3)

HISTORY
SSL_session_reused() first appeared in SSLeay 0.8.0 and has been available since OpenBSD 2.4.